@echo off
echo.
echo Welcome to COMP-G-TAB installation.
echo.
:BEGIN
if %1 '=='  goto NOPARM
if %2 '=='  goto NOPARM
if not exist %1\test.mid goto BADFROM
if not exist %1\NUL goto BADFROM
if not exist %2\NUL goto BADTO
cls
echo Copying COMP-G-TAB files from DRIVE %1 to DRIVE %2\cgtabv21...
echo.
if not exist %2\cgtabv21\NUL mkdir %2\cgtabv21
:INSTALL
copy %1\readme.txt   %2\cgtabv21
copy %1\cgtabv21.exe %2\cgtabv21
copy %1\test.mid     %2\cgtabv21
copy %1\license.doc  %2\cgtabv21
copy %1\form.doc     %2\cgtabv21
copy %1\cgtabw21.exe %2\cgtabv21
copy %1\cgtab.hlp    %2\cgtabv21

echo.
echo Copying Distribution files...
echo.

mkdir %2\cgtabv21\dist
copy %1\dist\*.* %2\cgtabv21\dist

goto SUCCESS
:NOPARM
echo Installation failed. Usage: INSTALL Source Dest (e.g. INSTALL B: C:)
goto DONE
:BADFROM
echo Installation failed. Invalid source drive '%1'.
goto DONE
:BADTO
echo Installation failed. Unable to create destation directory '%2'.
goto DONE
:SUCCESS
echo.
echo Installation is complete.  COMP-G-TAB is now in %2\cgtabv21.  Type 
echo "CGTABV21" to list COMP-G-TAB options.  Read or print the README.TXT
echo file in this directory.  The README also describes how to install the 
echo Windows version of this software.  Check the DIST directory for other 
echo MIDI files and software if this is a REGESTERED version.  If this is
echo NOT a REGISTERED version, then please read the FORM.DOC file.
echo.
echo Done.
echo.
%2
cd \cgtabv21
:DONE
